Subject: ANNOUNCE: fontpak Screen Fonts Package
From: [email-masked] (Jerome Kaidor)
Date: Thu, 25 Feb 1993 08:05:47 GMT
Newsgroups: comp.os.linux.announce

[ Moderator's note: I reformatted the lines to be < 80 chars; hope I
  didn't break anything.  --liw ]

   I have just uploaded my "fontpak" package to tsx-11.mit.edu.  This
is a set of programs and kernel diffs which enable one to load one or
more 256-character fonts into the VGA hardware. Then each VC can use a
different font.

    Fontpak is based on the "codepage" package which was distributed
some six months ago.  But it contains the following enhancements:

     1 - the diffs supplied are against the latest kernel ( SLS 2/17/93 ). 

     2 - Where "codepage" defined a new kernel service, "fontpak"
            accomplishes both loading and changing fonts with escape
            sequences in the outgoing character stream.  This is a
            "cleaner" implementation, in that ONLY ONE KERNEL FILE is
            changed, and there does not have to be any kernel-specific
            link-time knowledge in the user programs.  They just do
            printfs to create the escape sequences.  All very easy to
            understand and debug.  Long live KISS!

    Also included are a pair of utilities for editing new fonts.  With
them, you can turn a font into an ascii file, edit the ascii file, and
turn it back into a font.

    As of today ( 2/24/93 ) the fontpak source is in tsx's incoming
directory, as fontpak.tar.Z.

                       - Jerry Kaidor

    p.s.  I would like to give credit to the original writer of
"codepage", but he didn't mention it in his README....